Subject: Re: [PATCH net-next-2.6] tc: report informations for multiqueue devices

From: Patrick McHardy <[email-masked]>
Date: Wed, 02 Sep 2009 18:30:02 +0200

Stephen Hemminger wrote:
> Even if the kernel keeps the value in something else for the API
> QINDEX needs to be a fixed size unsigned type like u32.

Just to avoid duplicate work - I'm currently trying to put a patch
together that presents multiqueue qdiscs to userspace as regular
child qdiscs of a dummy qdisc, which also contains the aggregated
statistics. So far it actually looks pretty sane :)